# MatMPIBAIJSetPreallocationCSR

Allocates memory for a sparse parallel matrix in AIJ format (the default parallel PETSc format).

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMPIBAIJSetPreallocationCSR(Mat B,PetscInt bs,const PetscInt i[],const PetscInt j[], const PetscScalar v[])

Collective on MPI_Comm

### Input Parameters

| A | - the matrix
| i | - the indices into j for the start of each local row (starts with zero)
| j | - the column indices for each local row (starts with zero) these must be sorted for each row
| v | - optional values in the matrix

### Keywords

matrix, aij, compressed row, sparse, parallel

### See Also

MatCreate(), MatCreateSeqAIJ(), MatSetValues(), MatMPIBAIJSetPreallocation(), MatCreateMPIAIJ(), MPIAIJ

Level:developer
Location: src/mat/impls/baij/mpi/mpibaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages